﻿/* Estilos para la barra de navegación */
.navbar {
    background-color: #000000;
    padding: 10px;
    display: flex;
    align-items: center;
    text-decoration: none;
}

.logo {
    display: flex;
    align-items: center;
    margin-right: 20px;
}

.logo img {
    height: 40px;
    margin-right: 10px;
}

.titulo {
    font-size: 20px;
    color: #ffffff; /* blanco */
    font-weight: bold;
}

.menu {
    list-style: none;
    display: flex;
    gap: 15px;
}

.menu li a {
    color: #ffffff; /* blanco */
    text-decoration: none;
    font-weight: bold;
}
.menu.izquierda {
    flex: 1;
}
.menu.derecha {
    margin-left: auto;
}

.menu li a:hover {
    color: #a64ca6; /* violeta */

}

/* Formulario de registro */
.registro-form {
    width: 300px;
    margin: 50px auto;
    padding: 20px;
    background-color: #2a2a2a;
    border-radius: 8px;
    text-align: center;
}

.registro-form h2 {
    color: #ffffff; /* blanco */
    margin-bottom: 20px;
}

.input {
    width: 90%;
    padding: 8px;
    margin: 8px 0;
    border: none;
    border-radius: 4px;
}

.btn {
    background-color: #808080; /* gris */
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.btn:hover {
    background-color: #a64ca6; /* violeta */
}

.mensaje {
    color: #40e0d0;
    margin-top: 10px;
}

/* Formulario de Inicio de Sesión */
.login-form {
    width: 300px;
    margin: 50px auto;
    padding: 20px;
    background-color: #2a2a2a;
    border-radius: 8px;
    text-align: center;
}

.login-form h2 {
    color: #ffffff; /* turquesa */
    margin-bottom: 20px;
}



.usuario {
    color: #ffffff; /* blanco */
    font-weight: bold;
    /*margin-right: 10px;*/
}

.logout {
    color: #808080; /* gris */
    text-decoration: none;
    font-weight: bold;
    cursor: pointer;
}

.logout:hover {
    color: #a64ca6; /* violeta */
}


/* Sección inicial panel*/

.section {
    max-width: 800px;
    margin: 40px auto;
    padding: 20px;
    border-radius: 10px;
    background-color: #1e1e1e;
    box-shadow: inset 0 0 4px rgba(255, 223, 0, 0.3), 0 0 8px rgba(255, 223, 0, 0.4), 0 0 15px rgba(212, 175, 55, 0.3);
    transition: all 0.3s ease-in-out;
    color: #fff;
}

    .section:hover {
        border-color: #fff;
        box-shadow: inset 0 0 6px rgba(255, 223, 0, 0.5), 0 0 12px rgba(255, 223, 0, 0.6), 0 0 25px rgba(212, 175, 55, 0.4);
        transform: scale(1.03); /* menos agresivo */
    }

.modules {
    text-align: center;
    margin-bottom: 1rem;
}

.section h3 {
    margin: 1rem 0;
    color: #ffffff;
}

.section p {
    color: #ccc;
    margin-bottom: 1rem;
}

.cover-video {
    width: 560px;
    max-width: 90%;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}



/* Estilo de las fichas*/


.categorias {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin: 1rem;
}

.cat-btn {
    padding: 0.5rem 1rem;
    border: none;
    background-color: #3498db;
    color: white;
    cursor: pointer;
    border-radius: 5px;
    box-shadow: inset 0 0 4px rgba(255, 223, 0, 0.3), 0 0 8px rgba(255, 223, 0, 0.4), 0 0 15px rgba(212, 175, 55, 0.3);
    transition: all 0.3s ease-in-out;
}

    .cat-btn:hover {
        box-shadow: inset 0 0 6px rgba(255, 223, 0, 0.5), 0 0 12px rgba(255, 223, 0, 0.6), 0 0 25px rgba(212, 175, 55, 0.4);
        transform: scale(1.03);
    }

.buscador {
    padding: 0.5rem;
    width: 300px;
    border-radius: 5px;
    border: 1px solid #ccc;
}

.productos {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1.5rem;
    padding: 1rem;
}

.producto {
    background-color: white;
    border-radius: 8px;
    width: 250px;
    padding: 1rem;
    text-align: center;
    box-shadow: inset 0 0 4px rgba(255, 223, 0, 0.3), 0 0 8px rgba(255, 223, 0, 0.4), 0 0 15px rgba(212, 175, 55, 0.3);
    transition: all 0.3s ease-in-out;
}

    .producto:hover {
        box-shadow: inset 0 0 6px rgba(255, 223, 0, 0.5), 0 0 12px rgba(255, 223, 0, 0.6), 0 0 25px rgba(212, 175, 55, 0.4);
        transform: scale(1.03);
    }

    .producto img {
        width: 100%;
        height: 150px;
        object-fit: cover;
        border-radius: 5px;
    }

    .producto h3 {
        margin: 0.5rem 0;
        color: #1e1d1d;
    }

    .producto p {
        font-size: 0.9rem;
        color: #555;
    }

    /*.producto button {
        margin-top: 0.5rem;
        padding: 0.5rem 1rem;
        background-color: #27ae60;
        color: white;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }*/

.btn {
    display: inline-block;
    padding: 0.5rem 1rem;
    background-color: #27ae60;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

    .btn:hover {
        background-color: #219150;
    }
